MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001266XdebugUsage problems (Wrong Results)public2016-02-05 21:242016-02-08 17:33
ReporterPitman 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformUbuntuOSLinuxOS Version15.10
Product Version2.4.0rc4 
Target VersionFixed in Version2.4.0 
Summary0001266: xdebug_dump_superglobals() always dumps empty $_SESSION stack (even thow there are some vars)
DescriptionWith xdebug.dump.SESSION=* in php.ini, xdebug_dump_superglobals() prints only "Dump $_SESSION" header whis empty $_SESSION list.

Steps To Reproduce<?php

ini_set('xdebug.dump.SESSION', '*');

session_start();

$_SESSION['foo'] = 'bar';

xdebug_dump_superglobals();
TagsNo tags attached.
Operating System
PHP Version7.0.0-7.0.4
Attached Files

- Relationships

-  Notes
(0003443)
derick (administrator)
2016-02-08 17:33

Thanks for the report and reproducible case! This is fixed for 2.4.0.

- Issue History
Date Modified Username Field Change
2016-02-05 21:24 Pitman New Issue
2016-02-08 17:33 derick Note Added: 0003443
2016-02-08 17:33 derick Status new => closed
2016-02-08 17:33 derick Assigned To => derick
2016-02-08 17:33 derick Resolution open => fixed
2016-02-08 17:33 derick Fixed in Version => 2.4.0
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker